PARPORT_CLAIM(9)

NAME
parport_claim - claim access to a parallel port device

SYNOPSIS

int parport_claim(struct pardevice * dev);

ARGUMENTS

dev
    pointer to structure representing a device on the port

DESCRIPTION

This function will not block and so can be used from interrupt context. If parport_claim succeeds in claiming access to the port it returns zero and the port is available to use. It may fail (returning non-zero) if the port is in use by another driver and that driver is not willing to relinquish control of the port.

COPYRIGHT